Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network84.71.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
84.71.0.0
Broadcast address
84.71.255.255
First usable
84.71.0.1
Last usable
84.71.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 54470000 · Integer 1413939200 to 1414004735
Reverse DNS zone
71.84.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010100.01000111..00000000.0000000084.71.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01010100.01000111..00000000.0000000084.71.0.0
Broadcast01010100.01000111..11111111.1111111184.71.255.255
Split into smaller subnets/24

84.71.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
184.71.0.0/2484.71.0.1 to 84.71.0.25484.71.0.255254
284.71.1.0/2484.71.1.1 to 84.71.1.25484.71.1.255254
384.71.2.0/2484.71.2.1 to 84.71.2.25484.71.2.255254
484.71.3.0/2484.71.3.1 to 84.71.3.25484.71.3.255254
584.71.4.0/2484.71.4.1 to 84.71.4.25484.71.4.255254
684.71.5.0/2484.71.5.1 to 84.71.5.25484.71.5.255254
784.71.6.0/2484.71.6.1 to 84.71.6.25484.71.6.255254
884.71.7.0/2484.71.7.1 to 84.71.7.25484.71.7.255254
984.71.8.0/2484.71.8.1 to 84.71.8.25484.71.8.255254
1084.71.9.0/2484.71.9.1 to 84.71.9.25484.71.9.255254
1184.71.10.0/2484.71.10.1 to 84.71.10.25484.71.10.255254
1284.71.11.0/2484.71.11.1 to 84.71.11.25484.71.11.255254
1384.71.12.0/2484.71.12.1 to 84.71.12.25484.71.12.255254
1484.71.13.0/2484.71.13.1 to 84.71.13.25484.71.13.255254
1584.71.14.0/2484.71.14.1 to 84.71.14.25484.71.14.255254
1684.71.15.0/2484.71.15.1 to 84.71.15.25484.71.15.255254
1784.71.16.0/2484.71.16.1 to 84.71.16.25484.71.16.255254
1884.71.17.0/2484.71.17.1 to 84.71.17.25484.71.17.255254
1984.71.18.0/2484.71.18.1 to 84.71.18.25484.71.18.255254
2084.71.19.0/2484.71.19.1 to 84.71.19.25484.71.19.255254
2184.71.20.0/2484.71.20.1 to 84.71.20.25484.71.20.255254
2284.71.21.0/2484.71.21.1 to 84.71.21.25484.71.21.255254
2384.71.22.0/2484.71.22.1 to 84.71.22.25484.71.22.255254
2484.71.23.0/2484.71.23.1 to 84.71.23.25484.71.23.255254
2584.71.24.0/2484.71.24.1 to 84.71.24.25484.71.24.255254
2684.71.25.0/2484.71.25.1 to 84.71.25.25484.71.25.255254
2784.71.26.0/2484.71.26.1 to 84.71.26.25484.71.26.255254
2884.71.27.0/2484.71.27.1 to 84.71.27.25484.71.27.255254
2984.71.28.0/2484.71.28.1 to 84.71.28.25484.71.28.255254
3084.71.29.0/2484.71.29.1 to 84.71.29.25484.71.29.255254
3184.71.30.0/2484.71.30.1 to 84.71.30.25484.71.30.255254
3284.71.31.0/2484.71.31.1 to 84.71.31.25484.71.31.255254
3384.71.32.0/2484.71.32.1 to 84.71.32.25484.71.32.255254
3484.71.33.0/2484.71.33.1 to 84.71.33.25484.71.33.255254
3584.71.34.0/2484.71.34.1 to 84.71.34.25484.71.34.255254
3684.71.35.0/2484.71.35.1 to 84.71.35.25484.71.35.255254
3784.71.36.0/2484.71.36.1 to 84.71.36.25484.71.36.255254
3884.71.37.0/2484.71.37.1 to 84.71.37.25484.71.37.255254
3984.71.38.0/2484.71.38.1 to 84.71.38.25484.71.38.255254
4084.71.39.0/2484.71.39.1 to 84.71.39.25484.71.39.255254
4184.71.40.0/2484.71.40.1 to 84.71.40.25484.71.40.255254
4284.71.41.0/2484.71.41.1 to 84.71.41.25484.71.41.255254
4384.71.42.0/2484.71.42.1 to 84.71.42.25484.71.42.255254
4484.71.43.0/2484.71.43.1 to 84.71.43.25484.71.43.255254
4584.71.44.0/2484.71.44.1 to 84.71.44.25484.71.44.255254
4684.71.45.0/2484.71.45.1 to 84.71.45.25484.71.45.255254
4784.71.46.0/2484.71.46.1 to 84.71.46.25484.71.46.255254
4884.71.47.0/2484.71.47.1 to 84.71.47.25484.71.47.255254
4984.71.48.0/2484.71.48.1 to 84.71.48.25484.71.48.255254
5084.71.49.0/2484.71.49.1 to 84.71.49.25484.71.49.255254
5184.71.50.0/2484.71.50.1 to 84.71.50.25484.71.50.255254
5284.71.51.0/2484.71.51.1 to 84.71.51.25484.71.51.255254
5384.71.52.0/2484.71.52.1 to 84.71.52.25484.71.52.255254
5484.71.53.0/2484.71.53.1 to 84.71.53.25484.71.53.255254
5584.71.54.0/2484.71.54.1 to 84.71.54.25484.71.54.255254
5684.71.55.0/2484.71.55.1 to 84.71.55.25484.71.55.255254
5784.71.56.0/2484.71.56.1 to 84.71.56.25484.71.56.255254
5884.71.57.0/2484.71.57.1 to 84.71.57.25484.71.57.255254
5984.71.58.0/2484.71.58.1 to 84.71.58.25484.71.58.255254
6084.71.59.0/2484.71.59.1 to 84.71.59.25484.71.59.255254
6184.71.60.0/2484.71.60.1 to 84.71.60.25484.71.60.255254
6284.71.61.0/2484.71.61.1 to 84.71.61.25484.71.61.255254
6384.71.62.0/2484.71.62.1 to 84.71.62.25484.71.62.255254
6484.71.63.0/2484.71.63.1 to 84.71.63.25484.71.63.255254
6584.71.64.0/2484.71.64.1 to 84.71.64.25484.71.64.255254
6684.71.65.0/2484.71.65.1 to 84.71.65.25484.71.65.255254
6784.71.66.0/2484.71.66.1 to 84.71.66.25484.71.66.255254
6884.71.67.0/2484.71.67.1 to 84.71.67.25484.71.67.255254
6984.71.68.0/2484.71.68.1 to 84.71.68.25484.71.68.255254
7084.71.69.0/2484.71.69.1 to 84.71.69.25484.71.69.255254
7184.71.70.0/2484.71.70.1 to 84.71.70.25484.71.70.255254
7284.71.71.0/2484.71.71.1 to 84.71.71.25484.71.71.255254
7384.71.72.0/2484.71.72.1 to 84.71.72.25484.71.72.255254
7484.71.73.0/2484.71.73.1 to 84.71.73.25484.71.73.255254
7584.71.74.0/2484.71.74.1 to 84.71.74.25484.71.74.255254
7684.71.75.0/2484.71.75.1 to 84.71.75.25484.71.75.255254
7784.71.76.0/2484.71.76.1 to 84.71.76.25484.71.76.255254
7884.71.77.0/2484.71.77.1 to 84.71.77.25484.71.77.255254
7984.71.78.0/2484.71.78.1 to 84.71.78.25484.71.78.255254
8084.71.79.0/2484.71.79.1 to 84.71.79.25484.71.79.255254
8184.71.80.0/2484.71.80.1 to 84.71.80.25484.71.80.255254
8284.71.81.0/2484.71.81.1 to 84.71.81.25484.71.81.255254
8384.71.82.0/2484.71.82.1 to 84.71.82.25484.71.82.255254
8484.71.83.0/2484.71.83.1 to 84.71.83.25484.71.83.255254
8584.71.84.0/2484.71.84.1 to 84.71.84.25484.71.84.255254
8684.71.85.0/2484.71.85.1 to 84.71.85.25484.71.85.255254
8784.71.86.0/2484.71.86.1 to 84.71.86.25484.71.86.255254
8884.71.87.0/2484.71.87.1 to 84.71.87.25484.71.87.255254
8984.71.88.0/2484.71.88.1 to 84.71.88.25484.71.88.255254
9084.71.89.0/2484.71.89.1 to 84.71.89.25484.71.89.255254
9184.71.90.0/2484.71.90.1 to 84.71.90.25484.71.90.255254
9284.71.91.0/2484.71.91.1 to 84.71.91.25484.71.91.255254
9384.71.92.0/2484.71.92.1 to 84.71.92.25484.71.92.255254
9484.71.93.0/2484.71.93.1 to 84.71.93.25484.71.93.255254
9584.71.94.0/2484.71.94.1 to 84.71.94.25484.71.94.255254
9684.71.95.0/2484.71.95.1 to 84.71.95.25484.71.95.255254
9784.71.96.0/2484.71.96.1 to 84.71.96.25484.71.96.255254
9884.71.97.0/2484.71.97.1 to 84.71.97.25484.71.97.255254
9984.71.98.0/2484.71.98.1 to 84.71.98.25484.71.98.255254
10084.71.99.0/2484.71.99.1 to 84.71.99.25484.71.99.255254
10184.71.100.0/2484.71.100.1 to 84.71.100.25484.71.100.255254
10284.71.101.0/2484.71.101.1 to 84.71.101.25484.71.101.255254
10384.71.102.0/2484.71.102.1 to 84.71.102.25484.71.102.255254
10484.71.103.0/2484.71.103.1 to 84.71.103.25484.71.103.255254
10584.71.104.0/2484.71.104.1 to 84.71.104.25484.71.104.255254
10684.71.105.0/2484.71.105.1 to 84.71.105.25484.71.105.255254
10784.71.106.0/2484.71.106.1 to 84.71.106.25484.71.106.255254
10884.71.107.0/2484.71.107.1 to 84.71.107.25484.71.107.255254
10984.71.108.0/2484.71.108.1 to 84.71.108.25484.71.108.255254
11084.71.109.0/2484.71.109.1 to 84.71.109.25484.71.109.255254
11184.71.110.0/2484.71.110.1 to 84.71.110.25484.71.110.255254
11284.71.111.0/2484.71.111.1 to 84.71.111.25484.71.111.255254
11384.71.112.0/2484.71.112.1 to 84.71.112.25484.71.112.255254
11484.71.113.0/2484.71.113.1 to 84.71.113.25484.71.113.255254
11584.71.114.0/2484.71.114.1 to 84.71.114.25484.71.114.255254
11684.71.115.0/2484.71.115.1 to 84.71.115.25484.71.115.255254
11784.71.116.0/2484.71.116.1 to 84.71.116.25484.71.116.255254
11884.71.117.0/2484.71.117.1 to 84.71.117.25484.71.117.255254
11984.71.118.0/2484.71.118.1 to 84.71.118.25484.71.118.255254
12084.71.119.0/2484.71.119.1 to 84.71.119.25484.71.119.255254
12184.71.120.0/2484.71.120.1 to 84.71.120.25484.71.120.255254
12284.71.121.0/2484.71.121.1 to 84.71.121.25484.71.121.255254
12384.71.122.0/2484.71.122.1 to 84.71.122.25484.71.122.255254
12484.71.123.0/2484.71.123.1 to 84.71.123.25484.71.123.255254
12584.71.124.0/2484.71.124.1 to 84.71.124.25484.71.124.255254
12684.71.125.0/2484.71.125.1 to 84.71.125.25484.71.125.255254
12784.71.126.0/2484.71.126.1 to 84.71.126.25484.71.126.255254
12884.71.127.0/2484.71.127.1 to 84.71.127.25484.71.127.255254
12984.71.128.0/2484.71.128.1 to 84.71.128.25484.71.128.255254
13084.71.129.0/2484.71.129.1 to 84.71.129.25484.71.129.255254
13184.71.130.0/2484.71.130.1 to 84.71.130.25484.71.130.255254
13284.71.131.0/2484.71.131.1 to 84.71.131.25484.71.131.255254
13384.71.132.0/2484.71.132.1 to 84.71.132.25484.71.132.255254
13484.71.133.0/2484.71.133.1 to 84.71.133.25484.71.133.255254
13584.71.134.0/2484.71.134.1 to 84.71.134.25484.71.134.255254
13684.71.135.0/2484.71.135.1 to 84.71.135.25484.71.135.255254
13784.71.136.0/2484.71.136.1 to 84.71.136.25484.71.136.255254
13884.71.137.0/2484.71.137.1 to 84.71.137.25484.71.137.255254
13984.71.138.0/2484.71.138.1 to 84.71.138.25484.71.138.255254
14084.71.139.0/2484.71.139.1 to 84.71.139.25484.71.139.255254
14184.71.140.0/2484.71.140.1 to 84.71.140.25484.71.140.255254
14284.71.141.0/2484.71.141.1 to 84.71.141.25484.71.141.255254
14384.71.142.0/2484.71.142.1 to 84.71.142.25484.71.142.255254
14484.71.143.0/2484.71.143.1 to 84.71.143.25484.71.143.255254
14584.71.144.0/2484.71.144.1 to 84.71.144.25484.71.144.255254
14684.71.145.0/2484.71.145.1 to 84.71.145.25484.71.145.255254
14784.71.146.0/2484.71.146.1 to 84.71.146.25484.71.146.255254
14884.71.147.0/2484.71.147.1 to 84.71.147.25484.71.147.255254
14984.71.148.0/2484.71.148.1 to 84.71.148.25484.71.148.255254
15084.71.149.0/2484.71.149.1 to 84.71.149.25484.71.149.255254
15184.71.150.0/2484.71.150.1 to 84.71.150.25484.71.150.255254
15284.71.151.0/2484.71.151.1 to 84.71.151.25484.71.151.255254
15384.71.152.0/2484.71.152.1 to 84.71.152.25484.71.152.255254
15484.71.153.0/2484.71.153.1 to 84.71.153.25484.71.153.255254
15584.71.154.0/2484.71.154.1 to 84.71.154.25484.71.154.255254
15684.71.155.0/2484.71.155.1 to 84.71.155.25484.71.155.255254
15784.71.156.0/2484.71.156.1 to 84.71.156.25484.71.156.255254
15884.71.157.0/2484.71.157.1 to 84.71.157.25484.71.157.255254
15984.71.158.0/2484.71.158.1 to 84.71.158.25484.71.158.255254
16084.71.159.0/2484.71.159.1 to 84.71.159.25484.71.159.255254
16184.71.160.0/2484.71.160.1 to 84.71.160.25484.71.160.255254
16284.71.161.0/2484.71.161.1 to 84.71.161.25484.71.161.255254
16384.71.162.0/2484.71.162.1 to 84.71.162.25484.71.162.255254
16484.71.163.0/2484.71.163.1 to 84.71.163.25484.71.163.255254
16584.71.164.0/2484.71.164.1 to 84.71.164.25484.71.164.255254
16684.71.165.0/2484.71.165.1 to 84.71.165.25484.71.165.255254
16784.71.166.0/2484.71.166.1 to 84.71.166.25484.71.166.255254
16884.71.167.0/2484.71.167.1 to 84.71.167.25484.71.167.255254
16984.71.168.0/2484.71.168.1 to 84.71.168.25484.71.168.255254
17084.71.169.0/2484.71.169.1 to 84.71.169.25484.71.169.255254
17184.71.170.0/2484.71.170.1 to 84.71.170.25484.71.170.255254
17284.71.171.0/2484.71.171.1 to 84.71.171.25484.71.171.255254
17384.71.172.0/2484.71.172.1 to 84.71.172.25484.71.172.255254
17484.71.173.0/2484.71.173.1 to 84.71.173.25484.71.173.255254
17584.71.174.0/2484.71.174.1 to 84.71.174.25484.71.174.255254
17684.71.175.0/2484.71.175.1 to 84.71.175.25484.71.175.255254
17784.71.176.0/2484.71.176.1 to 84.71.176.25484.71.176.255254
17884.71.177.0/2484.71.177.1 to 84.71.177.25484.71.177.255254
17984.71.178.0/2484.71.178.1 to 84.71.178.25484.71.178.255254
18084.71.179.0/2484.71.179.1 to 84.71.179.25484.71.179.255254
18184.71.180.0/2484.71.180.1 to 84.71.180.25484.71.180.255254
18284.71.181.0/2484.71.181.1 to 84.71.181.25484.71.181.255254
18384.71.182.0/2484.71.182.1 to 84.71.182.25484.71.182.255254
18484.71.183.0/2484.71.183.1 to 84.71.183.25484.71.183.255254
18584.71.184.0/2484.71.184.1 to 84.71.184.25484.71.184.255254
18684.71.185.0/2484.71.185.1 to 84.71.185.25484.71.185.255254
18784.71.186.0/2484.71.186.1 to 84.71.186.25484.71.186.255254
18884.71.187.0/2484.71.187.1 to 84.71.187.25484.71.187.255254
18984.71.188.0/2484.71.188.1 to 84.71.188.25484.71.188.255254
19084.71.189.0/2484.71.189.1 to 84.71.189.25484.71.189.255254
19184.71.190.0/2484.71.190.1 to 84.71.190.25484.71.190.255254
19284.71.191.0/2484.71.191.1 to 84.71.191.25484.71.191.255254
19384.71.192.0/2484.71.192.1 to 84.71.192.25484.71.192.255254
19484.71.193.0/2484.71.193.1 to 84.71.193.25484.71.193.255254
19584.71.194.0/2484.71.194.1 to 84.71.194.25484.71.194.255254
19684.71.195.0/2484.71.195.1 to 84.71.195.25484.71.195.255254
19784.71.196.0/2484.71.196.1 to 84.71.196.25484.71.196.255254
19884.71.197.0/2484.71.197.1 to 84.71.197.25484.71.197.255254
19984.71.198.0/2484.71.198.1 to 84.71.198.25484.71.198.255254
20084.71.199.0/2484.71.199.1 to 84.71.199.25484.71.199.255254
20184.71.200.0/2484.71.200.1 to 84.71.200.25484.71.200.255254
20284.71.201.0/2484.71.201.1 to 84.71.201.25484.71.201.255254
20384.71.202.0/2484.71.202.1 to 84.71.202.25484.71.202.255254
20484.71.203.0/2484.71.203.1 to 84.71.203.25484.71.203.255254
20584.71.204.0/2484.71.204.1 to 84.71.204.25484.71.204.255254
20684.71.205.0/2484.71.205.1 to 84.71.205.25484.71.205.255254
20784.71.206.0/2484.71.206.1 to 84.71.206.25484.71.206.255254
20884.71.207.0/2484.71.207.1 to 84.71.207.25484.71.207.255254
20984.71.208.0/2484.71.208.1 to 84.71.208.25484.71.208.255254
21084.71.209.0/2484.71.209.1 to 84.71.209.25484.71.209.255254
21184.71.210.0/2484.71.210.1 to 84.71.210.25484.71.210.255254
21284.71.211.0/2484.71.211.1 to 84.71.211.25484.71.211.255254
21384.71.212.0/2484.71.212.1 to 84.71.212.25484.71.212.255254
21484.71.213.0/2484.71.213.1 to 84.71.213.25484.71.213.255254
21584.71.214.0/2484.71.214.1 to 84.71.214.25484.71.214.255254
21684.71.215.0/2484.71.215.1 to 84.71.215.25484.71.215.255254
21784.71.216.0/2484.71.216.1 to 84.71.216.25484.71.216.255254
21884.71.217.0/2484.71.217.1 to 84.71.217.25484.71.217.255254
21984.71.218.0/2484.71.218.1 to 84.71.218.25484.71.218.255254
22084.71.219.0/2484.71.219.1 to 84.71.219.25484.71.219.255254
22184.71.220.0/2484.71.220.1 to 84.71.220.25484.71.220.255254
22284.71.221.0/2484.71.221.1 to 84.71.221.25484.71.221.255254
22384.71.222.0/2484.71.222.1 to 84.71.222.25484.71.222.255254
22484.71.223.0/2484.71.223.1 to 84.71.223.25484.71.223.255254
22584.71.224.0/2484.71.224.1 to 84.71.224.25484.71.224.255254
22684.71.225.0/2484.71.225.1 to 84.71.225.25484.71.225.255254
22784.71.226.0/2484.71.226.1 to 84.71.226.25484.71.226.255254
22884.71.227.0/2484.71.227.1 to 84.71.227.25484.71.227.255254
22984.71.228.0/2484.71.228.1 to 84.71.228.25484.71.228.255254
23084.71.229.0/2484.71.229.1 to 84.71.229.25484.71.229.255254
23184.71.230.0/2484.71.230.1 to 84.71.230.25484.71.230.255254
23284.71.231.0/2484.71.231.1 to 84.71.231.25484.71.231.255254
23384.71.232.0/2484.71.232.1 to 84.71.232.25484.71.232.255254
23484.71.233.0/2484.71.233.1 to 84.71.233.25484.71.233.255254
23584.71.234.0/2484.71.234.1 to 84.71.234.25484.71.234.255254
23684.71.235.0/2484.71.235.1 to 84.71.235.25484.71.235.255254
23784.71.236.0/2484.71.236.1 to 84.71.236.25484.71.236.255254
23884.71.237.0/2484.71.237.1 to 84.71.237.25484.71.237.255254
23984.71.238.0/2484.71.238.1 to 84.71.238.25484.71.238.255254
24084.71.239.0/2484.71.239.1 to 84.71.239.25484.71.239.255254
24184.71.240.0/2484.71.240.1 to 84.71.240.25484.71.240.255254
24284.71.241.0/2484.71.241.1 to 84.71.241.25484.71.241.255254
24384.71.242.0/2484.71.242.1 to 84.71.242.25484.71.242.255254
24484.71.243.0/2484.71.243.1 to 84.71.243.25484.71.243.255254
24584.71.244.0/2484.71.244.1 to 84.71.244.25484.71.244.255254
24684.71.245.0/2484.71.245.1 to 84.71.245.25484.71.245.255254
24784.71.246.0/2484.71.246.1 to 84.71.246.25484.71.246.255254
24884.71.247.0/2484.71.247.1 to 84.71.247.25484.71.247.255254
24984.71.248.0/2484.71.248.1 to 84.71.248.25484.71.248.255254
25084.71.249.0/2484.71.249.1 to 84.71.249.25484.71.249.255254
25184.71.250.0/2484.71.250.1 to 84.71.250.25484.71.250.255254
25284.71.251.0/2484.71.251.1 to 84.71.251.25484.71.251.255254
25384.71.252.0/2484.71.252.1 to 84.71.252.25484.71.252.255254
25484.71.253.0/2484.71.253.1 to 84.71.253.25484.71.253.255254
25584.71.254.0/2484.71.254.1 to 84.71.254.25484.71.254.255254
25684.71.255.0/2484.71.255.1 to 84.71.255.25484.71.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses